Operations Management/Tenant Management (Plus)/Ticket Operations
POSTTicket OperationsSince 3.0.0SynchronousAuth Required
CreateIAM2TickFlowCollection
CreateIAM2TickFlowCollection
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
flowsListOptional.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
isDefaultBooleanOptional.
resourceUuidStringOptional.
projectUuidStringRequiredNo description provided.
systemTagsListOptional.
userTagsListOptional.
Responses
Endpoint
POST/zstack/v1/tickets/flow-collections
/zstack/v1/tickets/flow-collections
Request Example
curl -X POST 'http://{host}/zstack/v1/tickets/flow-collections' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"flows":["<flows>"],"name":"<name>","description":"<description>","isDefault":true,"resourceUuid":"<resourceUuid>","projectUuid":"<projectUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "state": "Enabled", "status": "Valid", "lastOpDate": "Dec 28, 2018 6:50:31 PM", "isDefault": true, "flows": [ { "name": "flow name", "description": "flow description", "flowContextType": "iam2", "createDate": "Dec 28, 2018 6:50:31 PM", "lastOpDate": "Dec 28, 2018 6:50:31 PM", "collectionUuid": "1dffd5fae83f3f55be42c56a0c2b266b" } ] } }Change History
This API has no change history records yet.
